Name:           efreet
Version:        1.7.7
Release:        1%{?dist}
Summary:        Implementation of several specifications from freedesktop.org

Group:          System Environment/Libraries
License:        MIT
URL:            http://web.enlightenment.org/p.php?p=about/efl&l=en
Source0:        http://download.enlightenment.org/snapshots/2009-06-14/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  ecore-devel chrpath pkgconfig libeina-devel doxygen

%description
An implementation of several specifications from freedesktop.org intended for
use in Enlightenment DR17 (e17) and other applications using the Enlightenment
Foundation Libraries (EFL). Currently, the following specifications are 
included:
  o Base Directory
  o Desktop Entry
  o Icon Theme
  o Menu


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       ecore-devel pkgconfig libeina-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%configure --disable-static --disable-nls
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
chrpath --delete $RPM_BUILD_ROOT%{_libdir}/lib%{name}_*.so*
find $RPM_BUILD_ROOT -name '*.la' -delete


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_libdir}/*.so.*
%{_libdir}/%{name}/efreet_*_cache_create

%files devel
%defattr(-,root,root,-)
%{_bindir}/%{name}*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/%{name}

%changelog
* Sat Mar 20 2010 Chelban Vasile <vchelban@fedoramd.org> 0.5.0.063-2
- bring back binaries

* Mon Dec 07 2009 Chelban Vasile <vchelban@fedoramd.org> 0.5.0.063-1
- version bump

* Wed Jul 15 2009 Vasile Chelban <vchelban@fedoramd.org> 0.5.0.061-1
- version bump

* Thu Mar 12 2009 Chelban Vasile <vchelban@fedoramd.org> 0.5.0.050-3
- renamed eina to libeina

* Mon Feb 16 2009 Chelban Vasile <vchelban@fedoramd.org> 0.5.0.050-2
- BuildRequires: eina-devel

* Sat Nov 29 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.5.0.050-1
- New upstream snapshot

* Mon May 19 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.5.0.043-1
- New upstream snapshot

* Fri May 16 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.0.3.042-3
- Test suite removed
- Added missing pkgconfig to efreet-devel requires

* Sun May 04 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.0.3.042-2
- Fixed missing dependencies for efreet-devel
- Fixed timestamp of source tarball
- Preserve timestamps of installed files

* Mon Apr 14 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.0.3.042-1
- Initial specfile for Efreet
